package com.sifang.modules.supply.stock.form;

import com.sifang.modules.sys.util.excel.ExcelField;

import javax.persistence.ManyToOne;
import java.util.Date;

public class ExportExceptionOrderExcel {

    private String sort;

    private String code;

    private String status;

    private String operator_name;

    private String remarks;

    private Date operator_time;

    private Date place_order_time;

    @ManyToOne
    @ExcelField(title="序号", align=2, sort=10)
    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }
    @ManyToOne
    @ExcelField(title="订单编号", align=2, sort=20)
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @ManyToOne
    @ExcelField(title="订单状态", align=2, sort=30)
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @ManyToOne
    @ExcelField(title="操作人", align=2, sort=40)
    public String getOperator_name() {
        return operator_name;
    }

    public void setOperator_name(String operator_name) {
        this.operator_name = operator_name;
    }

    @ManyToOne
    @ExcelField(title="改派/不通过原因", align=2, sort=50)
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @ManyToOne
    @ExcelField(title="操作时间", align=2, sort=60)
    public Date getOperator_time() {
        return operator_time;
    }

    public void setOperator_time(Date operator_time) {
        this.operator_time = operator_time;
    }

    @ManyToOne
    @ExcelField(title="下单时间", align=2, sort=70)
    public Date getPlace_order_time() {
        return place_order_time;
    }

    public void setPlace_order_time(Date place_order_time) {
        this.place_order_time = place_order_time;
    }
}
